Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 4440)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 4441)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Change order of dimension in surface array %frac to allow for better 
+! vectorization.
 ! 
 ! Former revisions:
@@ -371,9 +372,9 @@
                          m = surf_usm_h%end_index(j,i)
                          ghf_av(j,i) = ghf_av(j,i) +                           &
-                                         surf_usm_h%frac(ind_veg_wall,m)  *    &
+                                         surf_usm_h%frac(m,ind_veg_wall)  *    &
                                          surf_usm_h%wghf_eb(m)        +        &
-                                         surf_usm_h%frac(ind_pav_green,m) *    &
+                                         surf_usm_h%frac(m,ind_pav_green) *    &
                                          surf_usm_h%wghf_eb_green(m)  +        &
-                                         surf_usm_h%frac(ind_wat_win,m)   *    &
+                                         surf_usm_h%frac(m,ind_wat_win)   *    &
                                          surf_usm_h%wghf_eb_window(m)
                       ENDIF
@@ -644,9 +645,9 @@
                          m = surf_usm_h%end_index(j,i)
                          r_a_av(j,i) = r_a_av(j,i) +                           &
-                                         surf_usm_h%frac(ind_veg_wall,m)  *    &
+                                         surf_usm_h%frac(m,ind_veg_wall)  *    &
                                          surf_usm_h%r_a(m)       +             & 
-                                         surf_usm_h%frac(ind_pav_green,m) *    &
+                                         surf_usm_h%frac(m,ind_pav_green) *    &
                                          surf_usm_h%r_a_green(m) +             & 
-                                         surf_usm_h%frac(ind_wat_win,m)   *    &
+                                         surf_usm_h%frac(m,ind_wat_win)   *    &
                                          surf_usm_h%r_a_window(m)
                       ENDIF
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4440)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4441)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Set back turbulent length scale to 8 x grid spacing in the parametrized mode
+! (was accidantly changed).
 ! 
 ! Former revisions:
@@ -811,5 +812,5 @@
 !--    Define length scale for the imposed turbulence, which is defined as
 !--    8 times the minimum grid spacing
-       length_scale = 30.0_wp * MIN( dx, dy, MINVAL( dzw ) ) !8.0_wp * MIN( dx, dy, MINVAL( dzw ) )
+       length_scale = 8.0_wp * MIN( dx, dy, MINVAL( dzw ) )
 !
 !--    Define constant to gradually decrease length scales and Reynolds stress
